/* Jacobians */
static const REAL_ATTRIBUTE dummyREAL_ATTRIBUTE = omc_dummyRealAttribute;
/* Jacobian Variables */
#if defined(__cplusplus)
extern "C" {
#endif
  #define Sum_INDEX_JAC_A 3
  int Sum_functionJacA_column(void* data, threadData_t *threadData);
  int Sum_initialAnalyticJacobianA(void* data, threadData_t *threadData);
#if defined(__cplusplus)
}
#endif
/* A */

#if defined(__cplusplus)
extern "C" {
#endif
  #define Sum_INDEX_JAC_B 2
  int Sum_functionJacB_column(void* data, threadData_t *threadData);
  int Sum_initialAnalyticJacobianB(void* data, threadData_t *threadData);
#if defined(__cplusplus)
}
#endif
/* B */

#if defined(__cplusplus)
extern "C" {
#endif
  #define Sum_INDEX_JAC_C 1
  int Sum_functionJacC_column(void* data, threadData_t *threadData);
  int Sum_initialAnalyticJacobianC(void* data, threadData_t *threadData);
#if defined(__cplusplus)
}
#endif
/* C */

#if defined(__cplusplus)
extern "C" {
#endif
  #define Sum_INDEX_JAC_D 0
  int Sum_functionJacD_column(void* data, threadData_t *threadData);
  int Sum_initialAnalyticJacobianD(void* data, threadData_t *threadData);
#if defined(__cplusplus)
}
#endif
/* D */
#define $PuSeedD data->simulationInfo->analyticJacobians[0].seedVars[0]
#define $Pu1SeedD data->simulationInfo->analyticJacobians[0].seedVars[1]


